import React, {FC, useEffect, useState} from "react";
import Cookies from "js-cookie";
import {fetchUser} from "../api";
import {Spin,Form, Input, Button, Select,Radio,} from "antd";
import { SearchOutlined } from '@ant-design/icons';
import './../css/home.css'
import jt from './../assets/images/jt.png'


const Home: FC = () => {
  const [loading, setLoading] = useState<boolean>(false);
  const [user, setUser] = useState<UserResponse>();
  const [customInfoEdit,setCustomInfoEdit] = useState<boolean>(false);
  const [customInfo,setCustomInfo] = useState<any>({
    realName:'whh',
    account_level :'一级',
    sexy:1,
    idType:'1',
    idNumber:'1233',
    mobileNumber: '333',
    point: '112',
    corp: '1',
    position: '2',
    lastTime: '333',
    note: '33',
    area: '3',
    addr: '3',
    email: '3',
    gyId: '2',
    keywords: '2',

  });
  const [idTypeOpt] = useState<any>([
    {
      value: '0',
      label: '身份证',
    },
    {
      value: '1',
      label: '护照',
    },
    {
      value: '2',
      label: '港澳回乡证',
    },
    {
      value: '3',
      label: '台胞证',
    },
    {
      value: '4',
      label: '其它',
    },
  ])
  const { Option } = Select;

const layout = {
  labelCol: { span: 8 },
  wrapperCol: { span: 16 },
};
const tailLayout = {
  wrapperCol: { offset: 8, span: 16 },
};
  const [form] = Form.useForm();
  const onGenderChange = (value: string) => {
    switch (value) {
      case 'male':
        form.setFieldsValue({ note: 'Hi, man!' });
        return;
      case 'female':
        form.setFieldsValue({ note: 'Hi, lady!' });
        return;
      case 'other':
        form.setFieldsValue({ note: 'Hi there!' });
    }
  };

  const onFinish = (values: any) => {
    console.log(values);
  };

  const onReset = () => {
    form.resetFields();
  };

  const onFill = () => {
    console.log(customInfo)
    debugger
  };
  const testClick=(): void=>{
    console.log('aaaa')
    setCustomInfoEdit(!customInfoEdit)
  }
  // 获取当前外部联系人信息
  const getUserInfo = async () => {
    // setLoading(true);
    // const userId = Cookies.get('userId')
    const userInfo:any = Cookies.get('userInfo')
    // const userInfo = await fetchUser(userId || '')

    setUser(JSON.parse(userInfo))
    // setLoading(false)
  }

  useEffect(() => {
    getUserInfo().then()
  }, [])
  // const { getFieldsValue,getFieldDecorator } = this.props.form;

  return (
    <Spin spinning={loading}>
      <div>
        <h1>欢迎回来，{user ? user.name: ''}</h1>
      </div>
      <div className="flex spaceBetween mg20">
        <span className='wordKb'>用户看板</span>
        <Button type="primary" icon={<SearchOutlined />}>查找客户</Button>
      </div>
      <div className="custom mg20">
        <div className="flex spaceBetween customitem">
          <p className='word'>客户信息</p>
          <img src={jt} alt="" className="more" onClick={testClick}/>
        </div>
        {/* <div className="flex">
          <span>{customInfo.realName || '-' }</span>
          <div>{ customInfo.account_level }</div>
        </div> */}
        <div className="flex spaceBetween">
          <div className="inner">
            <Form {...layout} name="control-hooks" onFinish={onFinish} initialValues={customInfo}>
            <div className="flex spaceBetween showt">
              <span>{customInfo.realName || '-' }</span>
              <div className='grad'>{ customInfo.account_level }</div>
            </div>
            {customInfoEdit?(<Form.Item name="realName" label="客户名称" >
              <Input  placeholder="请输入客户名称" value={customInfo.realName}/>
              </Form.Item>): ('')}
              
              {!customInfoEdit?(<div className="flex showt">
                  <div className="flex">
                      <span className='greyWord'>性别：</span>
                      {customInfo.sexy===1?(<div><span className="radio-wight radio-text radio-text-m"> ♂</span> <span className="radio-text radio-text-m"> 男</span></div>)
                      :(
                      <div><span className="radio-wight radio-text radio-text-w"> ♂</span> <span className="radio-text radio-text-w"> 女</span></div>
                      )}
                  </div>
                  <div className="flex mgl20">
                      <span className='greyWord'>手机号：</span>
                      <span>{customInfo.mobileNumber}</span>
                  </div>
                  <div className="flex mgl20">
                      <span className='greyWord'>积分：</span>
                      <span>{customInfo.point}</span>
                  </div>
                </div>):('')}

                {customInfoEdit?( <Form.Item name="sexy" label="性别" >
              <Radio.Group value={customInfo.sexy}>
                  <Radio value={1}><span className="radio-wight radio-text radio-text-m"> ♂</span> <span className="radio-text radio-text-m"> 男</span></Radio>
                  <Radio value={2}><span className="radio-wight radio-text radio-text-w"> ♀</span> <span className="radio-text radio-text-w"> 女</span></Radio>
                </Radio.Group>
              </Form.Item>)
              :('')}
              {customInfoEdit?(<Form.Item name="idType" label="证件类型" >
                <Select
                  placeholder="请选择证件类型"
                  value={customInfo.idType}
                  allowClear
                >
                  {idTypeOpt.map((item:any) =>  <Option value={item.value}>{item.label}</Option>)}
                </Select>
              </Form.Item>):('')}
              {customInfoEdit?(<Form.Item name="idNumber" label="证件号" >
              <Input  placeholder="请输入证件号" value={customInfo.idNumber}/>
              </Form.Item>):('')}
              {customInfoEdit?(<Form.Item name="mobileNumber" label="手机号" >
                {customInfo.mobileNumber}
              </Form.Item>):('')}
              {customInfoEdit?(<Form.Item name="point" label="积分" >
                {customInfo.point}
              </Form.Item>):('')}
              <Form.Item name="corp" label="公司" >
                {customInfo.corp}
              </Form.Item>
              <Form.Item name="position" label="职务" >
                {customInfo.position}
              </Form.Item>
              <Form.Item name="realName" label="最后跟进" >
                {customInfo.position}
              </Form.Item>
              <Form.Item name="keywords" label="备注" >
                {customInfo.keywords}
              </Form.Item>
              <Form.Item name="area" label="地区" >
                {customInfo.area}
              </Form.Item>
              <Form.Item name="addr" label="收货地址" >
                {customInfo.addr}
              </Form.Item>
              <Form.Item name="email" label="Email" >
                {customInfo.email}
              </Form.Item>
              <Form.Item name="gyId" label="戈友ID" >
                {customInfo.gyId}
              </Form.Item>
              {!customInfoEdit?(<Form.Item name="idType" label="证件类型" >{customInfo.idType}</Form.Item>):('')}
              {!customInfoEdit?(<Form.Item name="idNumber" label="证件号">{customInfo.idNumber}</Form.Item>):('')}
              
              <Form.Item {...tailLayout}>
                <Button type="primary" htmlType="submit">
                  Submit
                </Button>
                <Button htmlType="button" onClick={onReset}>
                  Reset
                </Button>
                <Button type="link" htmlType="button" onClick={onFill}>
                  Fill form
                </Button>
              </Form.Item>
            </Form>
          </div>
        </div>
      </div>
    </Spin>
  )
}

export default Home;
